package org.artgasmator.service.impl;

import java.util.List;

import org.artgasmator.data.dao.MemberDao;
import org.artgasmator.model.Member;
import org.artgasmator.service.MemberService;

public class MemberServiceImpl implements MemberService {

	private MemberDao memberDao;
	
	public MemberDao getMemberDao() {
		return memberDao;
	}

	public void setMemberDao(MemberDao memberDao) {
		this.memberDao = memberDao;
	}

	public void createMember(Member member) {
		memberDao.createMember(member);
	}

	public List<Member> loadMembers(Integer artistId) {
		return memberDao.loadMembers(artistId);
	}

	
	public Member loadMember(Integer memberId) {
		return memberDao.loadMember(memberId);
	}

	
	
	
}
